List action requirements for a porting order
Returns a list of action requirements for a specific porting order.
GET
/
porting_orders
/
{porting_order_id}
/
action_requirements
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const actionRequirementListResponse of client.portingOrders.actionRequirements.list(
'porting_order_id',
)) {
console.log(actionRequirementListResponse.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.porting_orders.action_requirements.list(
porting_order_id="porting_order_id",
)
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.PortingOrders.ActionRequirements.List(
context.TODO(),
"porting_order_id",
telnyx.PortingOrderActionRequirementListParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.portingorders.actionrequirements.ActionRequirementListPage;
import com.telnyx.sdk.models.portingorders.actionrequirements.ActionRequirementListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ActionRequirementListPage page = client.portingOrders().actionRequirements().list("porting_order_id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.porting_orders.action_requirements.list("porting_order_id")
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->portingOrders->actionRequirements->list(
'porting_order_id',
filter: [
'id' => ['182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e'],
'actionType' => 'au_id_verification',
'requirementTypeID' => '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
'status' => 'created',
],
pageNumber: 0,
pageSize: 0,
sort: ['value' => 'created_at'],
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx porting-orders:action-requirements list \
--api-key 'My API Key' \
--porting-order-id porting_order_idcurl --request GET \
--url https://api.telnyx.com/v2/porting_orders/{porting_order_id}/action_requirements \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"record_type": "porting_action_requirement",
"porting_order_id": "12ade33a-21c0-473b-b055-b3c836e1c292",
"requirement_type_id": "53970723-fbff-4f46-a975-f62be6c1a585",
"action_type": "document_upload",
"action_url": "https://example.com/action",
"status": "created",
"cancel_reason": null,
"created_at": "2018-02-02T22:25:27.521Z",
"updated_at": "2018-02-02T22:25:27.521Z"
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the porting order
Query Parameters
Consolidated page parameter (deepObject style). Originally: page[size], page[number]
Show child attributes
Show child attributes
Consolidated filter parameter (deepObject style). Originally: filter[id][in][], filter[requirement_type_id], filter[action_type], filter[status]
Show child attributes
Show child attributes
Consolidated sort parameter (deepObject style). Originally: sort[value]
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const actionRequirementListResponse of client.portingOrders.actionRequirements.list(
'porting_order_id',
)) {
console.log(actionRequirementListResponse.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.porting_orders.action_requirements.list(
porting_order_id="porting_order_id",
)
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.PortingOrders.ActionRequirements.List(
context.TODO(),
"porting_order_id",
telnyx.PortingOrderActionRequirementListParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.portingorders.actionrequirements.ActionRequirementListPage;
import com.telnyx.sdk.models.portingorders.actionrequirements.ActionRequirementListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ActionRequirementListPage page = client.portingOrders().actionRequirements().list("porting_order_id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.porting_orders.action_requirements.list("porting_order_id")
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->portingOrders->actionRequirements->list(
'porting_order_id',
filter: [
'id' => ['182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e'],
'actionType' => 'au_id_verification',
'requirementTypeID' => '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
'status' => 'created',
],
pageNumber: 0,
pageSize: 0,
sort: ['value' => 'created_at'],
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx porting-orders:action-requirements list \
--api-key 'My API Key' \
--porting-order-id porting_order_idcurl --request GET \
--url https://api.telnyx.com/v2/porting_orders/{porting_order_id}/action_requirements \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"record_type": "porting_action_requirement",
"porting_order_id": "12ade33a-21c0-473b-b055-b3c836e1c292",
"requirement_type_id": "53970723-fbff-4f46-a975-f62be6c1a585",
"action_type": "document_upload",
"action_url": "https://example.com/action",
"status": "created",
"cancel_reason": null,
"created_at": "2018-02-02T22:25:27.521Z",
"updated_at": "2018-02-02T22:25:27.521Z"
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}